# Makefile for Apple MPW build environment (currently PPC only)

MAKEFILE     = Makefile
MondoBuild = #{MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified
SDL_INC = 
		-i ":include:"
SymPPC      = 
ObjDirPPC   = :obj:

CFLAGS  = {SDL_INC} {SymPPC} -enum int -d HAVE_OPENGL

OBJS  = 
		"{ObjDirPPC}testgl.c.x"
LIBS = 	
		":lib:SDLmain.o" ":lib:SDL"

# This is used to build the application
testgl  {MondoBuild} {OBJS}
	PPCLink 
		-o "{Targ}" {SymPPC} 
		{OBJS} {LIBS} 
		"{SharedLibraries}InterfaceLib" 
		"{SharedLibraries}StdCLib" 
		"{SharedLibraries}MathLib" 
		"{PPCLibraries}StdCRuntime.o" 
		"{PPCLibraries}PPCCRuntime.o" 
		"{PPCLibraries}PPCToolLibs.o" 
		"{SharedLibraries}OpenGLLibraryStub"
	Rez -a -o {Targ} ":src:main:macos:SDL.r"
	Rez -a -o {Targ} ":src:main:macos:SIZE.r"

"{ObjDirPPC}testgl.c.x"  {MondoBuild} ":test:testgl.c"
	{PPCC} ":test:testgl.c" -o {Targ} {CFLAGS}
